%define realname Text-ASCIITable
%define name perl-%{realname}
%define version 0.16
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Create a nice formatted table using ASCII characters
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		http://search.cpan.org/CPAN/authors/id/L/LU/LUNATIC/%{realname}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Pretty nifty if you want to output dynamic text to your console or other
fixed-size-font displays, and at the same time it will display it in a nice
human-readable, or "cool" way.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Text
%{_mandir}/*/*

%clean
rm -rf %{buildroot}

%changelog
* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdk
- new version 
- rpmbuildupdate aware
- fix directory ownership
- spec cleanup
- make test in %%check

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- First Mandriva release
